* -------------- r23 reset closure variables -------------------------
$ontext
 If closure rules are to be changed when running experiments in LOOPS
 it is necessary to first free all variables that are involved in ANY
 closure rule or the equation variable count will be lost.
$offtext

*## FOREIGN EXCHANGE MARKET CLOSURE

 ERPI.LO                     = -inf ;  ERPI.UP                     = +inf ;
 ER.LO("glob")               = -inf ;  ER.UP("glob")               = +inf ;
 ER.LO(rgn)                  = -inf ;  ER.UP(rgn)                  = +inf ;
 KAPWOR.LO(rgn)              = -inf ;  KAPWOR.UP(rgn)              = +inf ;
 KAPWOR.LO("glob")           = -inf ;  KAPWOR.UP("glob")           = +inf ;
 KAPWORSYS.LO                = -inf ;  KAPWORSYS.UP                = +inf ;

*## INVESTMENT-SAVINGS CLOSURE

 SHH.LO(r)                   = -inf ;  SHH.UP(r)                   = +inf ;
 QINVD.LO(r)                 = -inf ;  QINVD.UP(r)                 = +inf ;
 INVEST.LO(r)                = -inf ;  INVEST.UP(r)                = +inf ;
 INVESTSH.LO(r)              = -inf ;  INVESTSH.UP(r)              = +inf ;

* Closure rule for Government savings is part of the Govt Closure Rules

 TE.LO(w,r)                  = -inf ;  TE.UP(w,r)                  = +inf ;
 TM.LO(w,r)                  = -inf ;  TM.UP(w,r)                  = +inf ;
 TS.LO(r)                    = -inf ;  TS.UP(r)                    = +inf ;
 TV.LO(r)                    = -inf ;  TV.UP(r)                    = +inf ;
 TX.LO(r)                    = -inf ;  TX.UP(r)                    = +inf ;
 TYF.LO(f,r)                 = -inf ;  TYF.UP(f,r)                 = +inf ;
 TYH.LO(r)                   = -inf ;  TYH.UP(r)                   = +inf ;
 TF.LO(f,r)                  = -inf ;  TF.UP(f,r)                  = +inf ;

 QGD.LO(r)                   = -inf ;  QGD.UP(r)                   = +inf ;
 EG.LO(r)                    = -inf ;  EG.UP(r)                    = +inf ;
 VGDSH.LO(r)                 = -inf ;  VGDSH.UP(r)                 = +inf ;
 KAPGOV.LO(r)                = -inf ;  KAPGOV.UP(r)                = +inf ;

*## FACTOR MARKET CLOSURE

 FS.LO(f,r)$FS0(f,r)         = -inf ;  FS.UP(f,r)$FS0(f,r)         = +inf ;
 FD.LO(f,r)$FD0(f,r)         = -inf ;  FD.UP(f,r)$FD0(f,r)         = +inf ;
 WF.LO(f,r)$WF0(f,r)         = -inf ;  WF.UP(f,r)$WF0(f,r)         = +inf ;

* # Technology Closures for Factor Market

 ADX.LO(r)                   = -inf ;  ADX.UP(r)                   = +inf ;
 ADVA.LO(r)                  = -inf ;  ADVA.UP(r)                  = +inf ;
 ADFD.LO(f,r)                = -inf ;  ADFD.UP(f,r)                = +inf ;

*## MISCELLANEOUS FIXED VARIABLES

 CPI.LO(r)                   = -inf ;  CPI.UP(r)                   = +inf ;
 PD.LO(r)                    = -inf ;  PD.UP(r)                    = +inf ;

* -------------- end of R23 reset closure variables ------------------
